<div>
    <div class="mb-3">
        <h1 class="text-light">{{ title }}</h1>
        <a href="#/new" class="btn btn-primary">Add New Employee</a>
    </div>

    <div class="col-md-12 border-5 rounded p-2" style="background-color: #ebf2fa">
        <button class="btn btn-secondary" ng-click="toggleSearch()">Search Employee</button>
        <button class="btn btn-secondary" ng-click="refresh()">Refresh List</button>
        <div ng-show="searchBar == true" class="col-md-6 mt-2 px-2 py-2 border border-3 shadow">
            <div class="mb-3">
                <label class="form-label">Parameter 1</label>
                <select ng-options="data.value as data.label for data in SearchParameterOptions" ng-model="searchOptions1"></select>
                <input
                    type="text"
                    class="form-control"
                    id="searchParam1"
                    ng-model="searchParam1"
                    ng-show="searchOptions1 == null || (searchOptions1 != 'birthDate' && searchOptions1 != 'description') "
                />
                <input
                    type="date"
                    class="form-control"
                    id="searchParam11"
                    ng-model="searchParam1"
                    ng-hide="searchOptions1 == null || (searchOptions1 != 'birthDate' && searchOptions1 != 'description') "
                />
            </div>
            <div class="mb-3">
                <label class="form-label">Parameter 2</label>
                <select ng-options="data.value as data.label for data in SearchParameterOptions" ng-model="searchOptions2"></select>
                <input
                    type="text"
                    class="form-control"
                    id="searchParam2"
                    ng-model="searchParam2"
                    ng-show="searchOptions2 == null || (searchOptions2 != 'birthDate' && searchOptions2 != 'description') "
                />
                <input
                    type="date"
                    class="form-control"
                    id="searchParam21"
                    ng-model="searchParam2"
                    ng-hide="searchOptions2 == null || (searchOptions2 != 'birthDate' && searchOptions2 != 'description') "
                />
            </div>

            <button class="flex-fill btn btn-danger" ng-click="resetAdvSearch()">Reset</button>
            <button
                class="btn btn-primary"
                ng-click="advanceSearch(searchOptions1, searchOptions2, searchParam1, searchParam2)"
                ng-disabled="searchOptions1 == null || 
                                searchOptions2 == null|| 
                                searchOptions1 == searchOptions2 ||
                                searchParam1 == null ||
                                searchParam2 == null"
            >
                Search
            </button>

        </div>

        <!-- Default Table -->
        <table id="employeeTable" class="table table-striped" style="width: 100%">
            <thead>
                <tr>
                    <th>Username</th>
                    <th>First Name</th>
                    <th>Last Name</th>
                    <th>Email</th>
                    <th>Birth Date</th>
                    <th>Basic Salary</th>
                    <th>Status</th>
                    <th>Group</th>
                    <th>Description</th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                <tr ng-repeat="employee in employees">
                    <td>{{ employee.username }}</td>
                    <td>{{ employee.firstName }}</td>
                    <td>{{ employee.lastName }}</td>
                    <td>{{ employee.email }}</td>
                    <td>{{ employee.birthDate | date:'dd/MM/yyyy' }}</td>
                    <td>{{ employee.basicSalary | currency:"Rp " }}</td>
                    <td>{{ employee.status }}</td>
                    <td>{{ employee.group }}</td>
                    <td>{{ employee.description | date:'dd/MM/yyyy' }}</td>
                    <td>
                        <a href="/app/#/detail/{{employee.username}}" class="badge rounded-pill text-bg-primary text-decoration-none">Detail</a>
                        <button class="badge rounded-pill text-bg-warning">Edit</button>
                        <button class="badge rounded-pill text-bg-danger">Delete</button>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
